<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: bsonDocuStrct Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('structbson_docu_strct.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structbson_docu_strct-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">bsonDocuStrct Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_flatten_a_s_a_m_m_d_xxml_8hpp_source.html">FlattenASAMMDXxml.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a592a72ec9d9e55792b121ad81659b3b8"><td class="memItemLeft" align="right" valign="top">bsoncxx::stdx::string_view&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structbson_docu_strct.html#a592a72ec9d9e55792b121ad81659b3b8">key</a></td></tr>
<tr class="separator:a592a72ec9d9e55792b121ad81659b3b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a777a7b87a23cddb7755ec00c41bcdb01"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structbson_docu_strct.html#a777a7b87a23cddb7755ec00c41bcdb01">index</a></td></tr>
<tr class="separator:a777a7b87a23cddb7755ec00c41bcdb01"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2fe3272f989da3717ffcd1c842669f0"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structbson_docu_strct.html#ab2fe3272f989da3717ffcd1c842669f0">isArrayNo</a></td></tr>
<tr class="separator:ab2fe3272f989da3717ffcd1c842669f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad6c61cc5bd2e453a299e0bbdb39df262"><td class="memItemLeft" align="right" valign="top">bsoncxx::document::value&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structbson_docu_strct.html#ad6c61cc5bd2e453a299e0bbdb39df262">document</a></td></tr>
<tr class="separator:ad6c61cc5bd2e453a299e0bbdb39df262"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6ea81c5be3c41df94b6ae31bf5d3f4c"><td class="memItemLeft" align="right" valign="top">std::vector&lt; std::pair&lt; std::string, std::string &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structbson_docu_strct.html#aa6ea81c5be3c41df94b6ae31bf5d3f4c">history</a></td></tr>
<tr class="separator:aa6ea81c5be3c41df94b6ae31bf5d3f4c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="ad6c61cc5bd2e453a299e0bbdb39df262"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad6c61cc5bd2e453a299e0bbdb39df262">&#9670;&nbsp;</a></span>document</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bsoncxx::document::value bsonDocuStrct::document</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa6ea81c5be3c41df94b6ae31bf5d3f4c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa6ea81c5be3c41df94b6ae31bf5d3f4c">&#9670;&nbsp;</a></span>history</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;std::pair&lt;std::string,std::string&gt; &gt; bsonDocuStrct::history</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a777a7b87a23cddb7755ec00c41bcdb01"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a777a7b87a23cddb7755ec00c41bcdb01">&#9670;&nbsp;</a></span>index</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string bsonDocuStrct::index</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab2fe3272f989da3717ffcd1c842669f0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab2fe3272f989da3717ffcd1c842669f0">&#9670;&nbsp;</a></span>isArrayNo</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string bsonDocuStrct::isArrayNo</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a592a72ec9d9e55792b121ad81659b3b8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a592a72ec9d9e55792b121ad81659b3b8">&#9670;&nbsp;</a></span>key</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bsoncxx::stdx::string_view bsonDocuStrct::key</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="structbson_docu_strct.html">bsonDocuStrct</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
